wrapline
| Rivet Tcl Commands and Variables |

## Name

wrapline — Split the line into multiple lines by splitting on space characters

## Synopsis

::rivet::wrapline ?string? ?maxlen? html

## Description

Given a line and a maximum length and option "-html" argument, split the line into multiple lines by splitting on space characters and making sure each line is less than maximum length.

If the third argument, "-html", is present, return the result with the lines separated by html <br> line breaks, otherwise the lines are returned separated by newline characters.

wrap |  | xml